Bug 591516 - JON + EWP: Failed to find template for: QueueTemplate
Summary: JON + EWP: Failed to find template for: QueueTemplate
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
low
medium vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 725852 jon24-ewp
TreeView+ depends on / blocked
 
Reported: 2010-05-12 13:40 UTC by Ondřej Žižka
Modified: 2013-08-06 00:37 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:52:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ondřej Žižka 2010-05-12 13:40:53 UTC
2010-05-12 15:37:07,307 INFO  [ResourceFactory.executor-1] (rhq.core.pc.inventory.CreateResourceRunner)- Creating resource through report: CreateResourceReport: ResourceType=[ResourceType[id=0, category=Service, name=Queue, plugin=JBossAS5]], ResourceKey=[null]
2010-05-12 15:37:07,324 ERROR [ResourceContainer.invoker.nonDaemon-6] (org.rhq.plugins.jbossas5.ApplicationServerComponent)- Unable to process create request
java.lang.IllegalStateException: Failed to find template for: QueueTemplate
        at org.jboss.profileservice.management.ManagementViewImpl.getTemplate(ManagementViewImpl.java:1386)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.jboss.profileservice.remoting.SecurityContainer.invoke(SecurityContainer.java:81)
        at $Proxy88.getTemplate(Unknown Source)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.jboss.aop.Dispatcher.invoke(Dispatcher.java:121)
        at org.jboss.aspects.remoting.AOPRemotingInvocationHandler.invoke(AOPRemotingInvocationHandler.java:82)
        at org.jboss.profileservice.remoting.ProfileServiceInvocationHandler.invoke(ProfileServiceInvocationHandler.java:99)
        at org.jboss.remoting.ServerInvoker.invoke(ServerInvoker.java:897)
        at org.jboss.remoting.transport.socket.ServerThread.completeInvocation(ServerThread.java:768)
        at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:721)
        at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:548)
        at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:234)
        at org.jboss.remoting.MicroRemoteClientInvoker.invoke(MicroRemoteClientInvoker.java:213)
        at org.jboss.remoting.Client.invoke(Client.java:1927)
        at org.jboss.remoting.Client.invoke(Client.java:770)
        at org.jboss.aspects.remoting.InvokeRemoteInterceptor.invoke(InvokeRemoteInterceptor.java:60)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aspects.remoting.MergeMetaDataInterceptor.invoke(MergeMetaDataInterceptor.java:74)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aspects.security.SecurityClientInterceptor.invoke(SecurityClientInterceptor.java:65)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aop.generatedproxies.AOPProxy$1.getTemplate(AOPProxy$1.java)
        at org.rhq.plugins.jbossas5.ApplicationServerComponent.createConfigurationBasedResource(ApplicationServerComponent.java:482)
        at org.rhq.plugins.jbossas5.ApplicationServerComponent.createResource(ApplicationServerComponent.java:338)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
        at org.jboss.aspects.remoting.InvokeRemoteInterceptor.invoke(InvokeRemoteInterceptor.java:72)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aspects.remoting.MergeMetaDataInterceptor.invoke(MergeMetaDataInterceptor.java:74)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aspects.security.SecurityClientInterceptor.invoke(SecurityClientInterceptor.java:65)
        at org.jboss.aop.joinpoint.MethodInvocation.invokeNext(MethodInvocation.java:102)
        at org.jboss.aop.generatedproxies.AOPProxy$1.getTemplate(AOPProxy$1.java)
        at org.rhq.plugins.jbossas5.ApplicationServerComponent.createConfigurationBasedResource(ApplicationServerComponent.java:482)
        at org.rhq.plugins.jbossas5.ApplicationServerComponent.createResource(ApplicationServerComponent.java:338)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)

Comment 1 Ondřej Žižka 2010-05-12 13:44:59 UTC
Further, JON doesn't give any notion of anything bad happening, only the Queue is not created (thus, shown).

Comment 2 Ondřej Žižka 2010-05-12 16:20:08 UTC
May this be somehow related?
http://community.jboss.org/thread/151843?tstart=0

Comment 3 Ondřej Žižka 2010-05-12 16:39:19 UTC
So, the JMS stuff should be removed completely for EWS.

Comment 4 Ondřej Žižka 2010-05-12 16:40:47 UTC
And ignore the url above, that should go elsewhere.

Comment 5 Charles Crouch 2010-05-14 15:54:31 UTC
This is somewhat related to https://jira.jboss.org/jira/browse/EMBJOPR-303
I would be good if the fix for EMBJOPR-303 could be used to completely remove any JMS references from JON and the Admin Console in the case of managing EWP

Comment 6 Charles Crouch 2010-05-27 04:00:14 UTC
Ian, should this be fixed now you've done EMBJOPR-303? If so, please push to ON_QA

Comment 7 Ian Springer 2010-05-27 14:00:46 UTC
Yes, I believe EMBJOPR-303 should take care of this. With that fix, the as5 Topic and Queue resource types are now children of a new singleton "JBoss Messaging" resource type. A JBoss Messaging Resource is only discovered if JBoss Messaging is actually deployed (this is checked by checking if a ProfileService ManagedComponent of type JMS:ServerPeer exists).

Comment 8 Sunil Kondkar 2010-06-09 13:05:44 UTC
Verified on JON 2.4 Beta1

1) Installed JBoss EWP5.0 (without JBoss Messaging deployed), JBoss EWP 5.0 discovered successfully. The 'JBoss Messaging" resource type is not discovered in jon.

2) Installed JBoss EAP5.0 (With JBoss Messaging deployed), JBoss EAP5.0 and "JBoss Messaging" discovered successfully in JON. Added a topic from admin console. Topic and Queue resource types are displayed as children of "JBoss Messaging" resource type in jon.

Comment 9 Corey Welton 2010-08-12 16:52:14 UTC
Mass-closure of verified bugs against JON.

Comment 10 Ian Springer 2011-07-28 17:11:57 UTC
This fix is present in the branch used for the EAP 5.1.x admin-console.


Note You need to log in before you can comment on or make changes to this bug.